test: nt6/user32.def File Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# user32.def File Reference

Go to the source code of this file.

## Functions

csrss uses | GetProcAddr ().DialogBoxIndirectParamAorW PRIVATE

## Variables

LIBRARY USER32 EXPORTS ClientThreadSetup | PRIVATE
| comdlg
winlogon LoadRemoteFonts PRIVATE | LockWindowStation
Chicago ShowStartGlass PRIVATE | UnlockWindowStation = NtUserUnlockWindowStation PRIVATE
Chicago SetWindowStationUser PRIVATE GetCursorFrameInfo PRIVATE | SetCursorContents
desk cpl DrawMenuBarTemp PRIVATE TranslateMessageEx PRIVATE | SetConsoleReserveKeys
These are | macros
| GetNextWindow
| CopyCursor
this stuff wasn t exported from win31 but was in this | file
for some | reason
| InitQueue
| GetSysInputMode
| IsTwoByteCharPrefix
| Lookupmenuitem
| RecalcTabStrings
win32 will not support these | functions
| SetSysModalWindow
| GetSysModalWindow
| EnableHardwareInput
| GetSystemDebugState
| GetCSSwitchCount
Callbacks from | Server
| EditWndProc
c Window class manipulation APIs and support | routines
RegisterClassA RegisterClassW UnregisterClassA UnregisterClassW GetClassInfoA GetClassInfoW GetClassWord | SetClassWord
clres c Resource loading manipulation | APIs

LookupIconIdFromDirectory
CreateIconFromResource GetIconInfo
CreateIconIndirect LoadMenuA
LoadMenuW LoadCursorA LoadCursorW
LoadIconA LoadIconW LoadBitmapA
LoadBitmapW LoadAcceleratorsA
LoadAcceleratorsW LoadStringA

LoadStringW

GetMessageA GetMessageW PeekMessageA PeekMessageW TranslateMessage DispatchMessageA DispatchMessageW SetMessageQueue GetMessagePos GetMessageTime | WaitMessage

SendMessageA SendMessageW
SendMessageTimeoutA SendMessageTimeoutW
SendNotifyMessageA SendNotifyMessageW
SendMessageCallbackA SendMessageCallbackW
PostMessageA PostMessageW
PostThreadMessageA PostThreadMessageW
ReplyMessage PostQuitMessage
InSendMessage InSendMessageEx
RegisterWindowMessageA

RegisterWindowMessageW

SwapMouseButton | GetDoubleClickTime
EnumWindows EnumChildWindows | EnumThreadWindows
| ShowWindow
CreateWindowExA CreateWindowExW | DestroyWindow = NtUserDestroyWindow
| SetWindowPos
spb | c
| LockWindowUpdate = NtUserLockWindowUpdate
DefWindowProcA DefWindowProcW CallWindowProcA CallWindowProcW FlashWindow | FlashWindowEx

CreateDialogParamA CreateDialogParamW
CreateDialogIndirectParamA
CreateDialogIndirectParamW
DialogBoxParamA DialogBoxParamW
DialogBoxIndirectParamA DialogBoxIndirectParamW
EndDialog DefDlgProcA DefDlgProcW
GetDlgItem SetDlgItemInt GetDlgItemInt
SetDlgItemTextA SetDlgItemTextW
GetDlgItemTextA GetDlgItemTextW
SendDlgItemMessageA SendDlgItemMessageW
CheckDlgButton CheckRadioButton
IsDlgButtonChecked GetNextDlgGroupItem
GetNextDlgTabItem GetDlgCtrlID
GetDialogBaseUnits MapDialogRect
IsDialogMessageA IsDialogMessageW

IsDialogMessage = IsDialogMessageA

OpenClipboard | CloseClipboard
| BeginPaint
UpdateWindow GetUpdateRect GetUpdateRgn | ExcludeUpdateRgn
| SetFocus
GetCapture | SetCapture
LoadKeyboardLayoutA LoadKeyboardLayoutW | ActivateKeyboardLayout
GetKBCodePage GetKeyState GetAsyncKeyState GetKeyboardState | SetKeyboardState
toascii c Virtual Keycode to Character | translation
ToAscii ToUnicode VkKeyScanA | VkKeyScanW
winable c Active Accessibility Win Event | hooks
BlockInput GetAltTabInfoA GetAltTabInfoW | GetAltTabInfo
xlate c | Scancode
xlate c Virtual | Key
xlate c Virtual and Character | translations
MapVirtualKeyA MapVirtualKeyW | OemKeyScan
GetInputState GetQueueStatus MsgWaitForMultipleObjects | MsgWaitForMultipleObjectsEx
| SetTimer
TranslateAcceleratorA TranslateAcceleratorW | TranslateAccelerator
later scrollwindow can be removed ScrollWindow ScrollDC | ScrollWindowEx
sbapi c Scrollbar | control
SetScrollPos GetScrollPos SetScrollRange GetScrollRange | ShowScrollBar = NtUserShowScrollBar
SetPropA SetPropW GetPropA GetPropW RemovePropA RemovePropW EnumPropsA EnumPropsW EnumPropsExA | EnumPropsExW
MessageBoxA MessageBoxW MessageBoxExA | MessageBoxExW
| MessageBoxIndirectA
CreateCursor DestroyCursor CreateIcon | DestroyIcon
ShowCursor SetCursorPos | SetCursor
| DrawIcon
| CreateCaret
| WindowFromPoint
GetWindowWord | SetWindowWord
desktop c Desktop window APIs and window | procedure
GetDesktopHwnd GetDesktopWindow CreateDesktopA CreateDesktopW OpenDesktopA OpenDesktopW | OpenInputDesktop
CreateWindowStationA CreateWindowStationW OpenWindowStationA OpenWindowStationW | CloseWindowStation
SetUserObjectSecurity GetUserObjectSecurity | SetUserObjectInformationW
DlgDirListA DlgDirListW DlgDirSelectExA DlgDirSelectExW DlgDirListComboBoxA DlgDirListComboBoxW DlgDirSelectComboBoxExA | DlgDirSelectComboBoxExW
SetWindowsHookA SetWindowsHookW UnhookWindowsHook SetWindowsHookExA SetWindowsHookExW | UnhookWindowsHookEx
MDI c Multiple Document Interface window | procs
DefFrameProcA DefFrameProcW DefMDIChildProcA DefMDIChildProcW ArrangeIconicWindows CascadeChildWindows | TileChildWindows
| CalcChildScroll
Private API used by progman CreateMDIWindowA CreateMDIWindowW | ScrollChildren
help c Front end API for Windows Help | Manager
WinHelpA | WinHelpW
GrayStringA GrayStringW DrawTextA DrawTextW TabbedTextOutA TabbedTextOutW GetTabbedTextExtentA GetTabbedTextExtentW | DrawFocusRect
| GetWindowDC
| SelectPalette
| RealizePalette
misc c Miscellanous APIs and routines that don t fit well anywhere | else
clrect c Client side rectangle drawing | primitives
FillRect InvertRect | FrameRect

DdeInitializeA DdeInitializeW
DdeUninitialize DdeCmpStringHandles
DdeConnectList DdeQueryNextServer
DdeDisconnectList DdeConnect
DdeDisconnect DdeReconnect
DdeQueryConvInfo DdeSetUserHandle
DdeAbandonTransaction DdePostAdvise
DdeEnableCallback DdeNameService
DdeClientTransaction DdeCreateDataHandle
DdeAddData DdeGetData DdeAccessData
DdeFreeDataHandle DdeUnaccessData
DdeGetLastError DdeCreateStringHandleA
DdeCreateStringHandleW DdeQueryStringA
DdeQueryStringW DdeFreeStringHandle
DdeKeepStringHandle DdeImpersonateClient

ImpersonateDdeClientWindow

PackDDElParam UnpackDDElParam FreeDDElParam | ReuseDDElParam
| DragObject
| Merge
| GetOpenClipboardWindow
| IsMenu
SetRect SetRectEmpty CopyRect InflateRect SubtractRect IntersectRect UnionRect OffsetRect IsRectEmpty EqualRect | PtInRect

wvsprintfA wvsprintfW wsprintfA
wsprintfW CharLowerA CharLowerW
CharUpperA CharUpperW CharNextA
CharNextW CharPrevA CharPrevW
IsCharLowerA IsCharLowerW
IsCharUpperA IsCharUpperW
IsCharAlphaA IsCharAlphaW
IsCharAlphaNumericA IsCharAlphaNumericW
CharLowerBuffA CharLowerBuffW
CharUpperBuffA

CharUpperBuffW

oemxlate c OEM to ANSI | Unicode
CharToOemA CharToOemW CharToOemBuffA CharToOemBuffW OemToCharA OemToCharW OemToCharBuffA | OemToCharBuffW
| ntinput
keybd_event mouse_event | SendInput
to be | moved
BroadcastSystemMessageA BroadcastSystemMessageW | BroadcastSystemMessage
Ansi Only | CharPrevExA
Ansi Only CheckMenuRadioItem | ChildWindowFromPointEx
Win APIs | GetGuiResources
multimonitor apis GetMonitorInfoA GetMonitorInfoW | EnumDisplayMonitors

## Function Documentation

csrss uses GetProcAddr | ( |  | ) |

## Variable Documentation

LoadKeyboardLayoutA LoadKeyboardLayoutW ActivateKeyboardLayout

Initial value:

     NtUserActivateKeyboardLayout
        UnloadKeyboardLayout = NtUserUnloadKeyboardLayout
        GetKeyboardLayoutNameA
        GetKeyboardLayoutNameW
        LoadKeyboardLayoutEx             PRIVATE

Definition at line 360 of file nt6/user32.def.

LPK APIs

| Definition at line 1033 of file user32.def.

BeginPaint

Initial value:

     NtUserBeginPaint
        EndPaint = NtUserEndPaint
        GetWindowRgn
        SetWindowRgn

Definition at line 320 of file nt6/user32.def.

BroadcastSystemMessageA BroadcastSystemMessageW BroadcastSystemMessage

Initial value:

     BroadcastSystemMessageA
        CascadeWindows
        ChangeDisplaySettingsA
        ChangeDisplaySettingsW
        ChangeDisplaySettingsExA
        ChangeDisplaySettingsExW
        CharNextExA

Definition at line 871 of file nt6/user32.def.

winmgrc c

| Definition at line 799 of file user32.def. Referenced by _PrintInxClause(), AlGetString(), CmpConvertLangId(), CmpCreatePerfKeys(), CommonMenuDisplay(), CompareNamesCaseSensitive(), CompStrAToCharW(), CompStrWToUndetA(), Confirm(), crc32(), DrawBox(), DrawFrameControl(), DrawGrip(), DrawIt(), DrawMenuMark(), ExpSetCurrentUserUILanguage(), GetArgumentString(), GetChar(), GetCharacter(), GetCommand(), InternalGetCompositionStringA(), InternalSCS_CHANGEATTR(), InvertColorantArray(), IopLookupBusStringFromID(), KdpPageInData(), Ke386CyrixId(), LowReadSectors(), LowWriteSectors(), main(), MiInitMachineDependent(), NtSetDefaultLocale(), ParseArgumentNumeric(), PrivMain(), putc(), RtlCharToInteger(), RtlFormatMessage(), RtlpHashStringToAtom(), RtlUnicodeStringToInteger(), RtlVolumeDeviceToDosName(), TableInterp3(), TriRotateLeft(), TriRotateRight(), UserHashVal(), vprintf(), WWSB_WriteOutputString(), xatoi(), and xxxMetricsRecalc().

CalcChildScroll

| Definition at line 673 of file nt6/user32.def.

Ansi Only CharPrevExA

| Definition at line 878 of file nt6/user32.def.

wvsprintfA wvsprintfW wsprintfA wsprintfW CharLowerA CharLowerW CharUpperA CharUpperW CharNextA CharNextW CharPrevA CharPrevW IsCharLowerA IsCharLowerW IsCharUpperA IsCharUpperW IsCharAlphaA IsCharAlphaW IsCharAlphaNumericA IsCharAlphaNumericW CharLowerBuffA CharLowerBuffW CharUpperBuffA CharUpperBuffW

| Definition at line 843 of file nt6/user32.def.

Ansi Only CheckMenuRadioItem ChildWindowFromPointEx

| Definition at line 880 of file nt6/user32.def.

OpenClipboard CloseClipboard

Initial value:

     NtUserCloseClipboard
        EnumClipboardFormats
        EmptyClipboard = NtUserEmptyClipboard
        SetClipboardData
        GetClipboardData
        RegisterClipboardFormatA
        RegisterClipboardFormatW
        IsClipboardFormatAvailable = NtUserIsClipboardFormatAvailable
        GetClipboardFormatNameA
        GetClipboardFormatNameW
        CountClipboardFormats = NtUserCountClipboardFormats
        GetPriorityClipboardFormat = NtUserGetPriorityClipboardFormat
        GetClipboardOwner = NtUserGetClipboardOwner
        GetClipboardSequenceNumber
        GetClipboardViewer = NtUserGetClipboardViewer
        SetClipboardViewer = NtUserSetClipboardViewer
        ChangeClipboardChain = NtUserChangeClipboardChain

Definition at line 299 of file nt6/user32.def.

CreateWindowStationA CreateWindowStationW OpenWindowStationA OpenWindowStationW CloseWindowStation

Initial value:

     NtUserCloseWindowStation
        SetProcessWindowStation = NtUserSetProcessWindowStation
        GetProcessWindowStation = NtUserGetProcessWindowStation

Definition at line 623 of file nt6/user32.def.

comdlg

| Definition at line 6 of file nt6/user32.def.

sbapi c Scrollbar control

| Definition at line 487 of file nt6/user32.def.

CopyCursor

| Definition at line 51 of file nt6/user32.def.

CreateCaret

Initial value:

     NtUserCreateCaret
        GetCaretBlinkTime = NtUserGetCaretBlinkTime
        SetCaretBlinkTime
        DestroyCaret
        HideCaret = NtUserHideCaret
        ShowCaret = NtUserShowCaret
        SetCaretPos
        GetCaretPos = NtUserGetCaretPos

Definition at line 556 of file nt6/user32.def.

CreateCursor DestroyCursor CreateIcon DestroyIcon

Initial value:

     DestroyCursor
        CreateAcceleratorTableA
        CreateAcceleratorTableW = NtUserCreateAcceleratorTable
        DestroyAcceleratorTable
        CopyAcceleratorTableA
        CopyAcceleratorTableW = NtUserCopyAcceleratorTable

Definition at line 527 of file nt6/user32.def.

CreateWindowExA CreateWindowExW DestroyWindow = NtUserDestroyWindow

| Definition at line 189 of file nt6/user32.def.

DlgDirListA DlgDirListW DlgDirSelectExA DlgDirSelectExW DlgDirListComboBoxA DlgDirListComboBoxW DlgDirSelectComboBoxExA DlgDirSelectComboBoxExW

| Definition at line 649 of file nt6/user32.def.

DragObject

Initial value:

     NtUserDragObject
        DragDetect = NtUserDragDetect

Definition at line 778 of file nt6/user32.def.

GrayStringA GrayStringW DrawTextA DrawTextW TabbedTextOutA TabbedTextOutW GetTabbedTextExtentA GetTabbedTextExtentW DrawFocusRect

| Definition at line 697 of file nt6/user32.def.

DrawIcon

| Definition at line 553 of file nt6/user32.def. Referenced by DrawIconCallBack().

EditWndProc

| Definition at line 79 of file nt6/user32.def. Referenced by InitMessageTables().

misc c Miscellanous APIs and routines that don t fit well anywhere else

| Definition at line 714 of file nt6/user32.def. Referenced by DrawCommandListBorder(), and MiCheckSessionPoolAllocations().

EnableHardwareInput

| Definition at line 71 of file nt6/user32.def.

multimonitor apis GetMonitorInfoA GetMonitorInfoW EnumDisplayMonitors

| Definition at line 960 of file nt6/user32.def.

SetPropA SetPropW GetPropA GetPropW RemovePropA RemovePropW EnumPropsA EnumPropsW EnumPropsExA EnumPropsExW

| Definition at line 508 of file nt6/user32.def.

EnumWindows EnumChildWindows EnumThreadWindows

| Definition at line 176 of file nt6/user32.def.

UpdateWindow GetUpdateRect GetUpdateRgn ExcludeUpdateRgn

Initial value:

     NtUserExcludeUpdateRgn
        InvalidateRect = NtUserInvalidateRect
        ValidateRect = NtUserValidateRect
        InvalidateRgn = NtUserInvalidateRgn
        ValidateRgn
        RedrawWindow = NtUserRedrawWindow

Definition at line 331 of file nt6/user32.def.

this stuff wasn t exported from win31 but was in this file

| Definition at line 53 of file nt6/user32.def.

DefWindowProcA DefWindowProcW CallWindowProcA CallWindowProcW FlashWindow FlashWindowEx

| Definition at line 214 of file nt6/user32.def. Referenced by NtUserFlashWindowEx().

FillRect InvertRect FrameRect

| Definition at line 729 of file nt6/user32.def.

dragdrop c Drag Drop support functions

| Definition at line 785 of file user32.def.

BlockInput GetAltTabInfoA GetAltTabInfoW GetAltTabInfo

Initial value:

     GetAltTabInfoA

        GetAncestor = NtUserGetAncestor
        GetComboBoxInfo = NtUserGetComboBoxInfo
        GetCursorInfo = NtUserGetCursorInfo
        GetGUIThreadInfo = NtUserGetGUIThreadInfo
        GetListBoxInfo = NtUserGetListBoxInfo
        GetMenuBarInfo = NtUserGetMenuBarInfo
        GetScrollBarInfo = NtUserGetScrollBarInfo
        GetTitleBarInfo = NtUserGetTitleBarInfo
        GetWindowInfo
        GetWindowModuleFileNameA
        GetWindowModuleFileNameW
        GetWindowModuleFileName = GetWindowModuleFileNameA

        NotifyWinEvent
        RealChildWindowFromPoint = NtUserRealChildWindowFromPoint
        RealGetWindowClass = RealGetWindowClassA
        RealGetWindowClassA
        RealGetWindowClassW

        SetWinEventHook
        UnhookWinEvent = NtUserUnhookWinEvent

Definition at line 392 of file nt6/user32.def.

GetCSSwitchCount

| Definition at line 74 of file nt6/user32.def.

SwapMouseButton GetDoubleClickTime

Initial value:

     NtUserGetDoubleClickTime
        SetDoubleClickTime
        GetSystemMetrics
        GetSysColor
        SetSysColors

Definition at line 163 of file nt6/user32.def.

Win APIs GetGuiResources

Initial value:

     NtUserGetGuiResources
        RegisterDeviceNotificationA
        RegisterDeviceNotificationW
        UnregisterDeviceNotification
        DeviceEventWorker                           PRIVATE

        DbgSetPoolAllocation = NtUserDbgSetPoolAllocation

        LockWorkStation = NtUserLockWorkStation

        UserHandleGrantAccess = NtUserUserHandleGrantAccess

Definition at line 943 of file nt6/user32.def.

GetNextWindow

| Definition at line 49 of file nt6/user32.def.

GetOpenClipboardWindow

Initial value:

     NtUserGetOpenClipboardWindow
        DrawFrame
        EnableScrollBar = NtUserEnableScrollBar
        CopyIcon

Definition at line 784 of file nt6/user32.def.

GetSysInputMode

| Definition at line 57 of file nt6/user32.def.

GetSysModalWindow

| Definition at line 67 of file nt6/user32.def.

GetSystemDebugState

| Definition at line 72 of file nt6/user32.def.

GetWindowDC

Initial value:

     NtUserGetWindowDC
        GetDC = NtUserGetDC
        ReleaseDC
        WindowFromDC
        GetDCEx = NtUserGetDCEx

Definition at line 700 of file nt6/user32.def.

winable c Active Accessibility Win Event hooks

| Definition at line 388 of file nt6/user32.def.

DdeInitializeA DdeInitializeW DdeUninitialize DdeCmpStringHandles DdeConnectList DdeQueryNextServer DdeDisconnectList DdeConnect DdeDisconnect DdeReconnect DdeQueryConvInfo DdeSetUserHandle DdeAbandonTransaction DdePostAdvise DdeEnableCallback DdeNameService DdeClientTransaction DdeCreateDataHandle DdeAddData DdeGetData DdeAccessData DdeFreeDataHandle DdeUnaccessData DdeGetLastError DdeCreateStringHandleA DdeCreateStringHandleW DdeQueryStringA DdeQueryStringW DdeFreeStringHandle DdeKeepStringHandle DdeImpersonateClient ImpersonateDdeClientWindow

Initial value:

     NtUserImpersonateDdeClientWindow
        DdeGetQualityOfService = NtUserDdeGetQualityOfService
        DdeSetQualityOfService = NtUserDdeSetQualityOfService

Definition at line 763 of file nt6/user32.def.

InitQueue

| Definition at line 56 of file nt6/user32.def.

CreateDialogParamA CreateDialogParamW CreateDialogIndirectParamA CreateDialogIndirectParamW DialogBoxParamA DialogBoxParamW DialogBoxIndirectParamA DialogBoxIndirectParamW EndDialog DefDlgProcA DefDlgProcW GetDlgItem SetDlgItemInt GetDlgItemInt SetDlgItemTextA SetDlgItemTextW GetDlgItemTextA GetDlgItemTextW SendDlgItemMessageA SendDlgItemMessageW CheckDlgButton CheckRadioButton IsDlgButtonChecked GetNextDlgGroupItem GetNextDlgTabItem GetDlgCtrlID GetDialogBaseUnits MapDialogRect IsDialogMessageA IsDialogMessageW IsDialogMessage = IsDialogMessageA

| Definition at line 293 of file nt6/user32.def.

IsMenu

| Definition at line 794 of file nt6/user32.def.

IsTwoByteCharPrefix

| Definition at line 58 of file nt6/user32.def.

xlate c Virtual Key

| Definition at line 417 of file nt6/user32.def. Referenced by CmDeleteKeyRecursive(), CmpAddDockingInfo(), CmpAppendStringToMultiSz(), CmpCreateRootNode(), CmpGetKeySecurity(), CmpOpenRegKey(), CmpSecurityMethod(), CmpSetSecurityDescriptorInfo(), ExamineKey(), ExamineValueEntries(), ExpAddTagForBigPages(), ExpGetCurrentUserUILanguage(), ExpGetUILanguagePolicy(), ExpInsertPoolTracker(), ExpRemovePoolTracker(), ExpSetCurrentUserUILanguage(), ExpUuidLoadSequenceNumber(), ExpUuidSaveSequenceNumber(), FsRtlCheckLockForReadAccess(), FsRtlCheckLockForWriteAccess(), FsRtlCheckNoExclusiveConflict(), FsRtlFastCheckLockForRead(), FsRtlFastCheckLockForWrite(), FsRtlFastUnlockAllByKey(), FsRtlFastUnlockSingle(), FsRtlFastUnlockSingleExclusive(), FsRtlFastUnlockSingleShared(), FsRtlPrivateFastUnlockAll(), FsRtlPrivateLock(), IoepFindErrThread(), IoepInitErrLog(), IoepLogErr(), IoepNewErrThread(), IopSetSecurityObjectFromRegistry(), IoStartNextPacketByKey(), IoStartPacket(), KeFindConfigurationEntry(), KeFindConfigurationNextEntry(), MiInsertWsle(), NtLoadKey2(), NtLockFile(), NtReadFile(), NtReadFileScatter(), NtSetDefaultLocale(), NtUnlockFile(), NtWriteFile(), NtWriteFileGather(), RtlCheckRegistryKey(), RtlCreateRegistryKey(), RtlDeleteRegistryValue(), RtlpGetRegistryHandle(), RtlpGetTimeZoneInfoHandle(), RtlQueryRegistryValues(), RtlQueryTimeZoneInformation(), RtlSetActiveTimeBias(), RtlSetTimeZoneInformation(), RtlWriteRegistryValue(), UdfFastLock(), UdfFastUnlockAllByKey(), UdfFastUnlockSingle(), and UdfLookupFcbTable().

LookupIconIdFromDirectory CreateIconFromResource GetIconInfo CreateIconIndirect LoadMenuA LoadMenuW LoadCursorA LoadCursorW LoadIconA LoadIconW LoadBitmapA LoadBitmapW LoadAcceleratorsA LoadAcceleratorsW LoadStringA LoadStringW

| Definition at line 117 of file nt6/user32.def.

winlogon LoadRemoteFonts PRIVATE LockWindowStation

Initial value:

     NtUserLockWindowStation         PRIVATE
        MBToWCSEx                                           PRIVATE
        WCSToMBEx                                           PRIVATE
        MenuWindowProcA                                     PRIVATE
        MenuWindowProcW                                     PRIVATE
        QuerySendMessage = NtUserQuerySendMessage           PRIVATE
        RegisterServicesProcess                             PRIVATE
        RegisterLogonProcess                                PRIVATE
        SetLogonNotifyWindow = NtUserSetLogonNotifyWindow   PRIVATE

Definition at line 12 of file nt6/user32.def.

LockWindowUpdate = NtUserLockWindowUpdate

| Definition at line 204 of file nt6/user32.def.

Lookupmenuitem

| Definition at line 59 of file nt6/user32.def.

strings c String manipulation routines Should be replaced with Rtl macros

| Definition at line 824 of file user32.def.

help c Front end API for Windows Help Manager

| Definition at line 680 of file nt6/user32.def.

Merge

| Definition at line 783 of file nt6/user32.def. Referenced by CmpCopySyncTree2(), and MergeAttrStrings().

MessageBoxA MessageBoxW MessageBoxExA MessageBoxExW

| Definition at line 515 of file nt6/user32.def.

MessageBoxIndirectA

| Definition at line 516 of file nt6/user32.def.

to be moved

| Definition at line 866 of file nt6/user32.def.

GetInputState GetQueueStatus MsgWaitForMultipleObjects MsgWaitForMultipleObjectsEx

| Definition at line 431 of file nt6/user32.def.

ntinput

| Definition at line 857 of file nt6/user32.def.

MapVirtualKeyA MapVirtualKeyW OemKeyScan

| Definition at line 423 of file nt6/user32.def.

CharToOemA CharToOemW CharToOemBuffA CharToOemBuffW OemToCharA OemToCharW OemToCharBuffA OemToCharBuffW

| Definition at line 855 of file nt6/user32.def.

GetDesktopHwnd GetDesktopWindow CreateDesktopA CreateDesktopW OpenDesktopA OpenDesktopW OpenInputDesktop

Initial value:

     NtUserOpenInputDesktop

        SwitchDesktop = NtUserSwitchDesktop
        GetInputDesktop
        SetThreadDesktop = NtUserSetThreadDesktop
        GetThreadDesktop
        CloseDesktop = NtUserCloseDesktop
        RegisterTasklist = NtUserRegisterTasklist   PRIVATE
        SetDeskWallpaper
        EnumDisplayDevicesA                         PRIVATE
        EnumDisplayDevicesW                         PRIVATE
        EnumDisplaySettingsA
        EnumDisplaySettingsW
        EnumDisplaySettingsExA
        EnumDisplaySettingsExW
        EnumWindowStationsA
        EnumWindowStationsW
        EnumDesktopsA
        EnumDesktopsW
        EnumDesktopWindows
        ResolveDesktopForWOW = NtUserResolveDesktopForWOW PRIVATE

Definition at line 593 of file nt6/user32.def.

clrect c Client side rectangle drawing primitives

| Definition at line 724 of file nt6/user32.def.

CliImmSetHotKey PRIVATE

| Definition at line 1031 of file user32.def.

desktop c Desktop window APIs and window procedure

| Definition at line 583 of file nt6/user32.def.

MDI c Multiple Document Interface window procs

| Definition at line 664 of file nt6/user32.def.

SetRect SetRectEmpty CopyRect InflateRect SubtractRect IntersectRect UnionRect OffsetRect IsRectEmpty EqualRect PtInRect

| Definition at line 809 of file nt6/user32.def.

RealizePalette

| Definition at line 712 of file nt6/user32.def.

for some reason

| Definition at line 54 of file nt6/user32.def.

RecalcTabStrings

| Definition at line 61 of file nt6/user32.def.

SendMessageA SendMessageW SendMessageTimeoutA SendMessageTimeoutW SendNotifyMessageA SendNotifyMessageW SendMessageCallbackA SendMessageCallbackW PostMessageA PostMessageW PostThreadMessageA PostThreadMessageW ReplyMessage PostQuitMessage InSendMessage InSendMessageEx RegisterWindowMessageA RegisterWindowMessageW

| Definition at line 159 of file nt6/user32.def.

PackDDElParam UnpackDDElParam FreeDDElParam ReuseDDElParam

| Definition at line 775 of file nt6/user32.def. Referenced by ConsoleWindowProc().

palman c Palette Manager APIs and support routines

| Definition at line 716 of file user32.def.

xlate c Scancode

| Definition at line 417 of file nt6/user32.def.

Private API used by progman CreateMDIWindowA CreateMDIWindowW ScrollChildren

| Definition at line 678 of file nt6/user32.def.

later scrollwindow can be removed ScrollWindow ScrollDC ScrollWindowEx

| Definition at line 485 of file nt6/user32.def.

SelectPalette

| Definition at line 710 of file nt6/user32.def.

keybd_event mouse_event SendInput

Initial value:

     NtUserSendInput
        GetMouseMovePoints = NtUserGetMouseMovePoints
        GetLastInputInfo

        SetLastErrorEx

Definition at line 861 of file nt6/user32.def.

Callbacks from Server

| Definition at line 76 of file nt6/user32.def. Referenced by RtlCreateLpcServer(), RtlpLpcDerefContext(), RtlpLpcServerCallback(), and RtlShutdownLpcServer().

GetCapture SetCapture

Initial value:

     NtUserSetCapture
        ReleaseCapture

Definition at line 352 of file nt6/user32.def.

RegisterClassA RegisterClassW UnregisterClassA UnregisterClassW GetClassInfoA GetClassInfoW GetClassWord SetClassWord

Initial value:

     NtUserSetClassWord
        GetClassLongA
        GetClassLongW
        SetClassLongA
        SetClassLongW
        GetClassNameA
        GetClassNameW

Definition at line 89 of file nt6/user32.def.

desk cpl DrawMenuBarTemp PRIVATE TranslateMessageEx PRIVATE SetConsoleReserveKeys

Initial value:

     NtUserSetConsoleReserveKeys PRIVATE
        PrivateExtractIconExA                               PRIVATE
        PrivateExtractIconExW                               PRIVATE
        PrivateExtractIconsA                                PRIVATE
        PrivateExtractIconsW                                PRIVATE

        VRipOutput                                          PRIVATE

Definition at line 38 of file nt6/user32.def.

ShowCursor SetCursorPos SetCursor

Initial value:

     NtUserSetCursor
        GetCursorPos
        ClipCursor = NtUserClipCursor
        GetClipCursor = NtUserGetClipCursor
        GetCursor
        SetSystemCursor
        LoadCursorFromFileA
        LoadCursorFromFileW

Definition at line 539 of file nt6/user32.def.

Chicago SetWindowStationUser PRIVATE GetCursorFrameInfo PRIVATE SetCursorContents

Initial value:

     NtUserSetCursorContents         PRIVATE

        DrawCaptionTempA                                    PRIVATE

Definition at line 30 of file nt6/user32.def.

SetFocus

Initial value:

     NtUserSetFocus
        GetFocus
        SetActiveWindow = NtUserSetActiveWindow
        GetActiveWindow
        SetForegroundWindow
        GetForegroundWindow = NtUserGetForegroundWindow

Definition at line 341 of file nt6/user32.def.

GetKBCodePage GetKeyState GetAsyncKeyState GetKeyboardState SetKeyboardState

Initial value:

     NtUserSetKeyboardState
        GetKeyNameTextA
        GetKeyNameTextW
        GetKeyboardType

Definition at line 373 of file nt6/user32.def.

SetSysModalWindow

| Definition at line 65 of file nt6/user32.def.

SetTimer

Initial value:

     NtUserSetTimer
        KillTimer = NtUserKillTimer
        SetSystemTimer = NtUserSetSystemTimer
        KillSystemTimer

Definition at line 434 of file nt6/user32.def.

SetUserObjectSecurity GetUserObjectSecurity SetUserObjectInformationW

Initial value:

     NtUserSetObjectInformation
        SetUserObjectInformationA = NtUserSetObjectInformation
        GetUserObjectInformationW = NtUserGetObjectInformation
        GetUserObjectInformationA

Definition at line 632 of file nt6/user32.def.

SetWindowPos

Initial value:

     NtUserSetWindowPos
        BeginDeferWindowPos
        DeferWindowPos = NtUserDeferWindowPos
        EndDeferWindowPos
        MoveWindow = NtUserMoveWindow
        BringWindowToTop

Definition at line 194 of file nt6/user32.def.

GetWindowWord SetWindowWord

Initial value:

     NtUserSetWindowWord
        GetWindowLongA
        GetWindowLongW
        SetWindowLongA
        SetWindowLongW

Definition at line 575 of file nt6/user32.def.

SetScrollPos GetScrollPos SetScrollRange GetScrollRange ShowScrollBar = NtUserShowScrollBar

| Definition at line 492 of file nt6/user32.def.

ShowWindow

Initial value:

     NtUserShowWindow
        ShowOwnedPopups
        OpenIcon
        CloseWindow

Definition at line 179 of file nt6/user32.def.

DefFrameProcA DefFrameProcW DefMDIChildProcA DefMDIChildProcW ArrangeIconicWindows CascadeChildWindows TileChildWindows

| Definition at line 673 of file nt6/user32.def.

TranslateAcceleratorA TranslateAcceleratorW TranslateAccelerator

| Definition at line 444 of file nt6/user32.def.

oemxlate c OEM to ANSI ANSI Unicode to OEM character translation

| Definition at line 852 of file user32.def.

xlate c Virtual and Character translations

| Definition at line 417 of file nt6/user32.def.

SetWindowsHookA SetWindowsHookW UnhookWindowsHook SetWindowsHookExA SetWindowsHookExW UnhookWindowsHookEx

Initial value:

     NtUserUnhookWindowsHookEx
        CallNextHookEx
        CallMsgFilterA
        CallMsgFilterW
        CallMsgFilter = CallMsgFilterA

Definition at line 657 of file nt6/user32.def.

oemxlate c OEM to ANSI Unicode

| Definition at line 844 of file nt6/user32.def. Referenced by AddConsoleAliasInternal(), ExpungeConsoleCommandHistoryInternal(), FindExeCommandHistory(), GetConsoleAliasesInternal(), GetConsoleAliasesLengthInternal(), GetConsoleAliasExesInternal(), GetConsoleAliasExesLengthInternal(), GetConsoleAliasInternal(), GetConsoleCommandHistoryInternal(), GetConsoleCommandHistoryLengthInternal(), GetConsoleInput(), GetConsoleInputExeNameA(), GetConsoleTitleInternal(), LdrpCheckForKnownDll(), LdrpInitializeProcess(), ReadBuffer(), ReadChars(), ReadConsoleInternal(), ReadConsoleOutputInternal(), ReadInputBuffer(), RtlCreateUserProcess(), ScrollConsoleScreenBufferInternal(), SetConsoleInputExeNameA(), SetConsoleNumberOfCommandsInternal(), SetConsoleTitleInternal(), UdfConvertCS0DstringToUnicode(), WriteConsoleInputInternal(), WriteConsoleInternal(), and WriteConsoleOutputInternal().

Chicago ShowStartGlass PRIVATE UnlockWindowStation = NtUserUnlockWindowStation PRIVATE

| Definition at line 22 of file nt6/user32.def.

ToAscii ToUnicode VkKeyScanA VkKeyScanW

| Definition at line 386 of file nt6/user32.def.

GetMessageA GetMessageW PeekMessageA PeekMessageW TranslateMessage DispatchMessageA DispatchMessageW SetMessageQueue GetMessagePos GetMessageTime WaitMessage

Initial value:

     NtUserWaitMessage
        WaitForInputIdle
        RegisterHotKey = NtUserRegisterHotKey
        UnregisterHotKey = NtUserUnregisterHotKey
        GetMessageExtraInfo
        AttachThreadInput = NtUserAttachThreadInput

Definition at line 130 of file nt6/user32.def.

WindowFromPoint

Initial value:

     NtUserWindowFromPoint
        ChildWindowFromPoint

Definition at line 568 of file nt6/user32.def.

WinHelpA WinHelpW

| Definition at line 684 of file nt6/user32.def.